JNA API 3.3.0

## com.sun.jna
Class FunctionParameterContext

    java.lang.Object
      com.sun.jna.ToNativeContext
          com.sun.jna.FunctionParameterContext

Direct Known Subclasses:
  MethodParameterContext

    public class FunctionParameterContext

extends ToNativeContext

Constructor Summary
`FunctionParameterContext(Function f, Object[] args, int index)`

Method Summary
`Function` | `getFunction()` Get the function that was invoked.
`int` | `getParameterIndex()`
`Object[]` | `getParameters()` Get the arguments used in this function call.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionParameterContext

    FunctionParameterContext(Function f,
                             Object[] args,
                             int index)

Method Detail

### getFunction

    public Function getFunction()

  Get the function that was invoked.

### getParameters

    public Object[] getParameters()

  Get the arguments used in this function call.

### getParameterIndex

    public int getParameterIndex()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.